## univention-appcenter 11.1.1

=== Makefile ===
#!/usr/bin/make -f
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# Copyright 2015-2025 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

build: umc/js/appcenter.css

%.css: %.styl
	stylus "$<"

clean:
	rm -f umc/js/appcenter.css

=== debian/changelog ===
univention-appcenter (11.1.1) unstable; urgency=medium

  * Bug #58327: add sanitization / escaping in different components
  * Bug #58015: UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:33 +0100

=== debian/rules ===
#!/usr/bin/make -f
#
# PACKAGES
#  rules file for the debian package
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# Copyright 2004-2025 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

export DH_VERBOSE=1

%:
	dh $@ --with python3,univention-l10n,umc,ucr,univention-join --buildsystem=pybuild

export PYBUILD_NAME=univention-appcenter

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	rm -rf build/
	dh_auto_clean
	make clean

override_dh_auto_build:
	dh_auto_build
	make
	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	python3 setup_dev.py build --force -b build/python3-univention-appcenter-dev install --force --root=debian/python3-univention-appcenter-dev --install-layout=deb
	python3 setup_docker.py build --force -b build/python3-univention-appcenter-docker install --force --root=debian/python3-univention-appcenter-docker --install-layout=deb
	python3 setup_umc.py build --force -b build/univention-appcenter-umc install --force --root=debian/univention-management-console-module-appcenter --install-layout=deb
	dh_auto_install

override_dh_auto_test:
	dh_auto_test --buildsystem=pybuild
	dh_auto_test

## univention-appcenter 11.2.2

=== Makefile ===
#!/usr/bin/make -f
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# SPDX-FileCopyrightText: 2015-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

build: umc/js/appcenter.css

%.css: %.styl
	stylus "$<"

clean:
	rm -f umc/js/appcenter.css

=== debian/changelog ===
univention-appcenter (11.2.2) unstable; urgency=medium

  * Bug #58469: revert! remove .etag file if the download of the .all.tar.gz fail.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 15 Jul 2025 11:04:45 +0200

univention-appcenter (11.2.1) unstable; urgency=medium

  * Bug #58469: remove .etag file if the download of the .all.tar.gz fail.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 15 Jul 2025 11:04:45 +0200

univention-appcenter (11.2.0) unstable; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump
  * Bug #58240: fix appcenter cache directory of next release

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 04 Jul 2025 13:28:58 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# PACKAGES
#  rules file for the debian package
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

export DH_VERBOSE=1

%:
	dh $@ --with python3,univention-l10n,umc,ucr,univention-join --buildsystem=pybuild

export PYBUILD_NAME=univention-appcenter

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	rm -rf build/
	dh_auto_clean
	make clean

override_dh_auto_build:
	dh_auto_build
	make
	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	python3 setup_dev.py build --force -b build/python3-univention-appcenter-dev install --force --root=debian/python3-univention-appcenter-dev --install-layout=deb
	python3 setup_docker.py build --force -b build/python3-univention-appcenter-docker install --force --root=debian/python3-univention-appcenter-docker --install-layout=deb
	python3 setup_umc.py build --force -b build/univention-appcenter-umc install --force --root=debian/univention-management-console-module-appcenter --install-layout=deb
	dh_auto_install

override_dh_auto_test:
	dh_auto_test --buildsystem=pybuild
	dh_auto_test

## univention-appcenter 11.2.3

=== Makefile ===
#!/usr/bin/make -f
#
# SPDX-FileCopyrightText: 2015-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

build: umc/js/appcenter.css

%.css: %.styl
	stylus "$<"

clean:
	rm -f umc/js/appcenter.css

=== debian/changelog ===
univention-appcenter (11.2.3) unstable; urgency=medium

  * Bug #58469: remove .etag file if the download of the .all.tar.gz fail.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 16 Jul 2025 18:04:45 +0200

=== debian/control ===
Source: univention-appcenter
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 node-stylus,
 python3-all,
 python3-setuptools,
 univention-config-dev (>= 15.0.3),
 univention-join-dev,
 univention-l10n-dev (>= 7.0.1),
 univention-management-console-dev (>= 12.0.2),
Standards-Version: 3.8.2

Package: univention-management-console-module-appcenter
Architecture: all
Depends:
 python3-univention,
 python3-univention-appcenter (= ${source:Version}),
 python3-univention-directory-manager,
 python3-univention-lib,
 python3-univention-updater,
 shell-univention-lib,
 univention-config,
 univention-management-console-module-lib,
 univention-management-console-server (>= 12.0.32-5),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: UMC module for software management
 This package contains the UMC module for the package management.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-appcenter
Depends:
 python3-univention-appcenter (= ${source:Version}),
 ${misc:Depends},
Recommends:
 univention-appcenter-docker,
Architecture: all
Description: Tools for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-appcenter
Architecture: all
Depends:
 gnupg,
 python3-docker,
 python3-mysqldb,
 python3-univention,
 python3-univention-admin-diary,
 python3-univention-config-registry,
 python3-univention-debug (>= 12.0.3-1),
 python3-univention-directory-manager,
 univention-directory-manager-tools,
 univention-join,
 univention-ssh,
 zsync,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 univention-appcenter,
Provides:
 ${python3:Provides},
Description: Library for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-appcenter-dev
Architecture: all
Depends:
 python3-univention-appcenter-dev,
 ${misc:Depends},
Description: Development tools for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-appcenter-dev
Architecture: all
Depends:
 apt-utils,
 dpkg,
 python3-univention,
 univention-appcenter (= ${source:Version}),
 zsync,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Development tools for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-appcenter-docker
Architecture: all
Depends:
 python3-univention-appcenter-docker,
 ${misc:Depends},
Description: Docker integration for Univention App Center
 This package contains a Docker integration for certain apps
 of the Univention App Center.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-appcenter-docker
Architecture: all
Depends:
 docker-compose,
 pass,
 python3-ruamel.yaml,
 python3-univention,
 python3-univention-appcenter,
 univention-apache,
 univention-docker,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Docker integration for Univention App Center
 This package contains a Docker integration for certain apps
 of the Univention App Center.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-module-apps
Architecture: all
Depends:
 python3-polib,
 univention-management-console-module-appcenter (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: UMC module for application overview
 This package contains the overview page for every installed
 Univention App.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

## univention-appcenter 11.3.1

=== debian/changelog ===
univention-appcenter (11.3.1) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58568: UCS 5.2-3 version bump

  [ Dirk Wiesenthal ]
  * Bug #58648: With ListenerUdmVersion=3, use UniventionObjectIdentifier
    instead of entryUUID

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 17 Sep 2025 16:23:34 +0200

## univention-appcenter 11.3.2

=== debian/changelog ===
univention-appcenter (11.3.2) unstable; urgency=medium

  * Bug #58644: make logging compatible to structured logging

 -- Florian Best <best@univention.de>  Thu, 18 Sep 2025 13:01:31 +0200

## univention-appcenter 11.3.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-#
 # SPDX-FileCopyrightText: 2015-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only

=== debian/changelog ===
univention-appcenter (11.3.3) unstable; urgency=medium

  * Bug #52308: Add UCR variable to skip downloading app metadata using zsync
    and download with an HTTP request directly

 -- Marius Meschter <marius.meschter@univention.de>  Wed, 22 Oct 2025 15:53:12 +0200

## univention-appcenter 11.4.0

=== debian/changelog ===
univention-appcenter (11.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:29:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 #
 # PACKAGES
 #  rules file for the debian package
-#
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
 #
 # SPDX-FileCopyrightText: 2004-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
